/****************************************************************************\

                        Selective Keyboard Handler

                  Copyright (c) 1994  Douglas Peterson

\****************************************************************************/

extern char KeyASCIITable[128];

#ifdef __cplusplus
extern "C" {
#endif

int  key_check(void);
void key_clear(void);
void key_init(int);
int  key_ready(void);
int  key_test(int);
int  key_wait(void);

#ifdef __cplusplus
}
#endif


#define INIT 1
#define RESTORE 0

/****************************************************************************\
\****************************************************************************/

#define SHIFT   0x0100
#define ALT     0x0200
#define CTRL    0x0400


#define _A              30
#define _B              48
#define _C              46
#define _D              32
#define _E              18
#define _F              33
#define _G              34
#define _H              35
#define _I              23
#define _J              36
#define _K              37
#define _L              38
#define _M              50
#define _N              49
#define _O              24
#define _P              25
#define _Q              16
#define _R              19
#define _S              31
#define _T              20
#define _U              22
#define _V              47
#define _W              17
#define _X              45
#define _Y              21
#define _Z              44
#define _1               2
#define _2               3
#define _3               4
#define _4               5
#define _5               6
#define _6               7
#define _7               8
#define _8               9
#define _9              10
#define _0              11
#define F1              59
#define F2              60
#define F3              61
#define F4              62
#define F5              63
#define F6              64
#define F7              65
#define F8              66
#define F9              67
#define F10             68
#define F11             87
#define F12             88
#define HOME            71
#define UARROW          72
#define PGUP            73
#define LARROW          75
#define RARROW          77
#define END             79
#define DARROW          80
#define PGDN            81
#define INS             82
#define DEL             83
#define BS              14
#define CR              28
#define ENTER           28
#define TAB             15
#define ESC              1
#define DASH            12
#define EQUAL           13
#define OPENBRACKET     26
#define CLOSEBRACKET    27
#define BACKSLASH       43
#define SEMICOLON       39
#define APOSTROPHY      40
#define COMMA           51
#define PERIOD          52
#define FORESLASH       53
#define SINGLEOPENQUOTE 41
#define CAPSLOCK        58
#define NUMLOCK         69
#define SCROLLLOCK      70
#define SPACEBAR        57
#define LSHIFTKEY       42
#define RSHIFTKEY       54
#define ALTKEY          56
#define CTRLKEY         29
#define KP_ASTERISK     55
#define KP_DASH         74
#define KP_PLUS         78
#define KP_5            76


